Subject: [bug#69896] [PATCH v3] gnu: Add emacs-noman.

From: "Suhail Singh" <[email-masked]>
Date: Thu, 11 Apr 2024 19:56:25 -0400

Dale Mellor <[email-masked]> writes:

> Review:
>   * Synopsis and description are brief but fine
>   * License is correct
>   * Patch applies clean, guix lint and guix build --check report no problems
>     are introduced
>   * Tested by installing, adding '(require 'noman)' to emacs.el, running emacs
>     and issuing 'M-x noman<ret>git<ret>' and then navigating the help pages
>     (this is actually pretty cool!)
>   * *Very* cursory look over the upstream source code shows nothing malicious

Thank you for the review!

I noticed that the v3 patch you sent introduced some changes to v2.
Specifically, the commit and file-name fields were being hard-coded
instead of referencing the version and name.  I'm assuming this change
was unintentional and I've reverted it in v4 of the patch.

If, however, the change was intentional, could you please elaborate on
the reasons?

Regards,
-- 
Suhail